<?
include_once("mysql.php");
include_once("inclydings/antixak.php");
include 'inclydings/sesi.php';
include_once("inclydings/header.php");
include 'inclydings/ini.php';
if (isset($user)) {
include_once("inclydings/udata.php");
switch($go) {

default:


if($udata[9]<"25"){echo"Что б крафтить 1000 SoulShot нужно иметь 25 уровень<br/>При крафте у вас должны быть такие средства/Ресурсы:<br/> Recipe SoulShot<br/> 10,000,000 <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/> 10,000 <img src='pik4erspic/mini/gold1.png' alt='pic'/>"; include_once("inclydings/down.php"); exit;}
if($udata[26]=="kamael"){echo"Крафтить вещи могут только гномы.<br/>"; include_once("inclydings/down.php"); exit;}
if($udata[26]=="ork"){echo"Крафтить вещи могут только гномы.<br/>"; include_once("inclydings/down.php"); exit;}
if($udata[26]=="elf"){echo"Крафтить вещи могут только гномы.<br/>"; include_once("inclydings/down.php"); exit;}
if($udata[26]=="darkelf"){echo"Крафтить вещи могут только гномы.<br/>"; include_once("inclydings/down.php"); exit;}
if($udata[26]=="human"){echo"Крафтить вещи могут только гномы.<br/>"; include_once("inclydings/down.php"); exit;}


$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);
if($data[4]=="SoulShot"){echo"У Вас уже есть SoulShot.<br/> Используйте их и тогда сможете скрафтить еще."; include_once"inclydings/down.php"; exit; }}

if($udata[8]<"10000000"){echo"При крафте у вас должны быть такие средства/Ресурсы:<br/> Recipe SoulShot, 10,000,000 <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/>У вас нехватает <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/>"; include_once"inclydings/down.php"; exit; }
if($udata[95]<"10000"){echo"При крафте у вас должны быть такие средства/Ресурсы:<br/> Recipe SoulShot, 10,000 <img src='pik4erspic/mini/gold1.png' alt='pic'/><br/>У вас нехватает <img src='pik4erspic/mini/gold1.png' alt='pic'/><br/>"; include_once"inclydings/down.php"; exit; }
$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);
if($data[4]=="Recipe SoulShot"){



$text2="2:||:50:||:vesh2:||:1000:||:SoulShot:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$udata[8]=round($udata[8]-10000000);
$udata[95]=round($udata[95]-10000);
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно скрафтили SoulShots 1000 штук<br/>";
include_once"inclydings/down.php";
exit;
}}
echo"Для того что бы скрафтить SoulShots,у вас должен быть ресурс Recipe SoulShot.<br>У Вас нету <u>Recipe SoulShot</u>!<br/>"; include"inclydings/down.php"; exit;
break;
}}else{echo"Пароль или логин неверен!";}
include_once"inclydings/down.php";
?>